<!DOCTYPE html>
<html lang="en">

<head>

    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Meta -->
    <meta name="description" content="Serviceblick Kontaktmanager Einstellungen">
    <meta name="author" content="www.serviceblick.com">

    <title>Kontaktmanager Einstellungen</title>
    <!-- vendor css -->
    <link rel="stylesheet" href="/style-global/lib/fontawesome-free/css/all.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/ionicons/css/ionicons.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/typicons.font/typicons.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/bootstrap-table/css/bootstrap-table.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/jquery-dragndrop/draganddrop.css?v=[cs_version]" >
    <link rel="stylesheet" href="/style-global/lib/line-awesome/css/line-awesome.min.css?v=[cs_version]">
    {% include 'snippets/global-header-include.tpl' %} 
    <!-- global CSS -->

    <link rel="stylesheet" href="/style-global/css/azia-global.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/css/serviceblick-global.css?v=[cs_version]">
    <link rel="stylesheet" href="/contact-manager/css/contacts-custom.css?v=[cs_version]">
    <!-- <link rel="stylesheet" href="./css/easy2schedule-settings-custom.css?v=[cs_version]"> -->

</head>

<body id="page-top" class="az-body">
{% include 'snippets/pb-loader.tpl' %}
{% include 'snippets/guide/container-modal.tpl' %}
<div id="contentwrapper" style="display:none;" class="az-body">
    <div class="az-header">
        <div class="container">
            <div class="az-header-left"><a href="" id="azContentLeftShow" class="az-header-menu-icon d-lg-none"><span></span></a>
                <a href="index.html" class="az-logo d-block"><img class="az-logo"  src="/style-global/img/icons/contact.png" alt="Kontaktmanager"></a>
                <a href="index.html"><span class="nav-link text-dark tx-20" data-i18n="CS:Kontakte">Kontaktmanager</span></a>
            </div><!-- az-header-left -->
            <div class="az-header-menu">
                <div class="az-header-menu-header">
                    <a href="index.html" class="az-logo"><span></span> <img class="az-logo" src="/style-global/img/icons/contact.png" alt="Kontaktmanager"></a>
                  <a href="" class="close">&times;</a>
                </div><!-- az-header-menu-header -->
                <!-- <ul class="nav">
                    <li class="nav-item">
                        <a href="#" class="nav-link  with-sub"><i
                                class="typcn typcn-edit tx-20"></i>Placeholder nav-link</a>
                        <nav class="az-menu-sub">
                            <a href="#" class="nav-link">Placeholder nav-link
                            </a>
                        </nav>
                    </li>
                </ul> -->
            </div><!-- az-header-menu -->
            <div class="az-header-right">
                <div class="az-header-notification mg-l-10">
                    <a href="#" data-toggle="modal" data-target="#modal_help" id="help">
                        <i class="icon ion-ios-help-circle-outline" data-toggle="tooltip" title="" data-original-title="Hilfe"></i></a>
                </div>
                {% include 'snippets/header-apps-menu.tpl' %}
                {% include 'snippets/header-profile-menu.tpl' %}
            </div><!-- az-header-right -->
        </div><!-- container -->
    </div><!-- az-header -->

    <div class="az-content az-content-mail">
        <div class="container">
            <div class="az-content-left az-content-left-mail  az-content-left-components">
                <div class="az-content-header">
                    <!-- use if there is main menu that needs to be displayed in mobile view -->
                    <a href="" id="azMenuShow" class="az-header-menu-icon"><span></span></a>
                    <a href="" id="azContentLeftHide" class="az-header-arrow">
                        <!-- <i class="icon ion-md-arrow-forward d-sm-none"></i> -->
                        <i class="icon ion-md-close d-sm-none"></i>
                        <i class="icon ion-md-close d-none d-sm-block"></i>
                    </a>
                </div><!-- az-content-header -->
                {% include 'snippets/content-left-contact-settings-nav.tpl' %}
            </div><!-- az-content-left -->
    
            <div class="az-content-body az-content-body-mail pd-l-40 pd-r-40 ">
                <div class="az-content-breadcrumb">
                    <span><a href="/contact-manager/" class="text-secondary" data-i18n="CS:Kontakte">Kontaktmanager</a></span>
                    <span>Einstellungen</span>
                    <span>Felder</span>
                </div>
                <div class="d-flex justify-content-between ">
                    <h2 class="az-content-title"><span data-i18n="contact fields title">Eingabefelder für ein Kontakt verwalten</span> 
                    </h2>
                    <div class="inpage-utility-nav">
                        <nav class="nav">
                        </nav>
                    </div>
                </div>
                    <p id="description_text" class="mg-b-20 az-content-description"><span data-i18n="contact fields description">Hier können Ihre Kontakt Eingabeformular verwalten. Fügen Sie Ihrem individualisieren Eingabefelder hinzu. Wählen Sie ein von die Liste aus, um es zu bearbeiten.</span>
                    </p>


                    

                    <!-- list view start  -->
                    <div class="card-body" id="list-view">
                        <!-- list header start -->
                        <div class="pb-4 mb-4 border-bottom d-flex justify-content-end align-items-end">
                            <div class=" align-items-center">
                                <p class="mb-3 pd-r-10 az-content-label" data-i18n="Format for new field">Format for new field : *

                                </p>
                                <select class="form-control" id="field_template_selection">
                                    <!-- <option value="">Bitte auswählen</option>
                                    <option value="name">Name</option>
                                    <option value="vorname">Vorname</option>
                                    <option value="firma">Firma</option>
                                    <option value="email">E-Mail</option>
                                    <option value="telefon">Telefon</option>
                                    <option value="passwort">Passwort</option>
                                     <option value="datum">Datum</option>
                                    <option value="kommentar">Kommentar</option>
                                    <option value="text">Generisch Einfacher Text</option>
                                    <option value="textarea">Generisch Langtext</option> -->
                                </select>

                            </div>
                    
                            <div class="pt-2 pt-md-0 d-flex justify-content-end">
                                <button class="btn btn-indigo btn-with-icon no-wrap ml-3"
                                    id="new_field_button" disabled=""><i class="typcn typcn-plus-outline tx-18 pr-1"></i> <span data-i18n="New Field" class="d-none d-sm-block">New Field</span></button>
                            </div>
                        </div>
                        <!-- header -->
                        <!-- content body start -->
                        <div class="tab-pane fade show active">
                    
                            <!-- list start -->
                            <div class="row pt-3">
                                <div class="col-1">
                                </div>
                                <div class="col-4 az-content-label az-content-label-sm" data-i18n="Field Label">FELDBESCHRIFTUNG 
                                </div>
                                <div class="col-2 az-content-label az-content-label-sm d-none d-sm-block" data-i18n="Field Format">FELDFORMAT
                                </div>
                                <div class="col-3 az-content-label az-content-label-sm d-none d-sm-block" data-i18n="Field ID">FELD-ID
                                </div>
                                <div class="col-2">
                    
                                </div>
                            </div>
                            <div id="field-list-container">
                                <ul id="field_element_list" class="field-element-list pl-0">
                                    <!-- list generated from snippet here -->
                            
                                </ul>
                            </div>

                        </div>
                        <!-- content body -->
                    </div>
                    <!-- list view  -->


                    <!-- detail view start -->

                    <div class="card-body" id="detail-view" style="display:none;">
                        <div class="mg-3 pt-4">
                            <div class="row align-items-center mg-b-20">
                                <div class="col-md-3">
                                  <label class="form-label mg-b-0">Feldformat :</label>
                                </div><!-- col -->
                                <div class="col-md-4 mg-t-5 mg-md-t-0" >
                                    <select class="form-control" name="" id="field_type_value">
                                        <option value="text">Text</option>
                                        <option value="tel">Telefonnummer</option>
                                        <option value="email">E-Mail</option>
                                        <option value="date">Datum</option>
                                        <option value="textarea">Textfeld</option>
                                        <option value="switch">Switch</option>
                                        <option value="checkbox">Checkbox</option>
                                        <option value="select">Select</option>
                                    </select>
                                </div><!-- col -->
                            </div>
                            <div class="row align-items-center mg-b-20">
                                <div class="col-md-3">
                                  <label class="form-label mg-b-0">Feld ID : *</label>
                                </div><!-- col -->
                                <div class="col-md-4 mg-t-5 mg-md-t-0">
                                  <input type="text" id="field_id_value" class="form-control" value="" placeholder="" required="">
                                  <span role="alert" id="field_id_valueError" class="error" aria-hidden="true" data-i18n="Enter a unique id"></span>
                                </div><!-- col -->
                            </div>
                            <div class="row align-items-center mg-b-20">
                                <div class="col-md-3">
                                  <label class="form-label mg-b-0">Feldbeschriftung : *</label>
                                </div><!-- col -->
                                <div class="col-md-4 mg-t-5 mg-md-t-0">
                                  <input type="text" id="field_label_value" class="form-control" placeholder="" required="">
                                  <span role="alert" id="field_label_valueError" class="error" aria-hidden="true" data-i18n="Enter a field label">Enter a field label</span>
                                </div><!-- col -->
                            </div>
                        </div>
                        
                        <div id="accordion" class="accordion" role="tablist" aria-multiselectable="true">
                            <div class="card">
                              <div class="card-header" role="tab" id="headingOne">
                                <a class="collapsed" data-toggle="collapse" href="#collapseOne" aria-expanded="false" aria-controls="collapseOne" data-i18n="Further Options">
                                    Further Options
                                </a>
                              </div>
                              <div id="collapseOne" class="collapse" data-parent="#accordion" role="tabpanel" aria-labelledby="headingOne">
                                <div class="card-body ">
                                    <!-- add extra field option here -->
                                    <div class="row align-items-center mg-b-20 pt-4">
                                        <div class="col-md-3">
                                          <label class="form-label mg-b-0">Feld Icon :</label>
                                        </div><!-- col -->
                                        <div class="col-md-4 mg-t-5 mg-md-t-0">
                                            <span class="text-muted" id="temp_field_icon"><i class="fas fa-address-card" id="field_icon"></i></span>
                                            <input type="hidden" id="field_icon_value">
                                            <button class="btn btn-indigo-white ml-2 mb-2 mb-sm-2" id="edit_field_icon_button"> <span data-i18n="Edit Alt">Edit</span></button>
                                        </div><!-- col -->
                                    </div>
                                    <div class="row align-items-center mg-b-20">
                                        <div class="col-md-3">
                                          <label class="form-label mg-b-0">Erforderlich :</label>
                                        </div><!-- col -->
                                        <div class="col-md-4 mg-t-5 mg-md-t-0">
                                            <input id="field_required_value" type="checkbox" data-selector="required" class="detail-inputs form-checkbox" >
                                        </div><!-- col -->
                                    </div>
                                    <div class="row align-items-center mg-b-20" id="specialized_field_settings">
                                       <!-- special fields created from snippits here -->
                                    </div>

                                </div>
                              </div><!-- collapse -->
                            </div><!-- card -->
                          </div>
                        <p id="error-msg"></p>
                        <div class="pt-4 mt-4 border-top row">
                            <div class="col-12 pt-2 pt-md-0 d-flex  justify-content-end">
                                <button class="btn btn-outline-light btn-with-icon no-wrap mb-2 mb-sm-0"
                    id="cancel_field_button"><i class="typcn typcn-times-outline tx-18 pr-1"></i> <span data-i18n="Cancel">Cancel</span></button>
                <button class="btn btn-indigo  btn-with-icon no-wrap ml-2 mb-2 mb-sm-0"
                    id="save_field_button"><i class="typcn typcn-tick-outline tx-18 pr-1"></i> <span data-i18n="Save Changes">Save Changes</span></button>
                            </div>
                        </div>
                    </div>
                    <!-- detail view -->

                    {% with id="contact_field_settings", prio="Alert" %}
                        {% include 'snippets/global-alert-box.tpl' %}
                    {% endwith %}

                    <hr class="pd-y-20">
                </div><!-- az-content-body -->
            </div><!-- container -->

        </div><!-- az-content -->
    
    
        {% include 'snippets/footer.tpl' %}
        <!-- az-footer -->
</div> <!--content wrapper  -->


<!-- content snippet for creating list -->
<div id="field_item" style="display: None;">
    <li data-selector="list-entry" class="field-element tickets-card row" id="[{field_id}]">
        <div class="col-1">
            <i class="typcn typcn-arrow-unsorted tx-18 tx-gray-700 handle"></i>
        </div>
        <div class="col-4"> [{field-label-value}]
        </div>
        <div class="col-2 d-none d-sm-block"> [{field-type-value}]
        </div>
        <div class="col-3 d-none d-sm-block"> [{field_id}]
        </div>
        <div class="col-2 btn-icon-list">
            <button class="btn btn-indigo btn-icon" data-toggle="tooltip" data-original-title="bearbeiten"
                data-selector="btn-field-edit" data-field-edit-id="[{field_id}]"><i
                    class="typcn typcn-edit mg-l-2"></i></button>
            <button class="btn btn-outline-indigo btn-icon" data-toggle="tooltip" data-original-title="löschen"
                data-selector="btn-field-delete" data-field-delete-id="[{field_id}]"><i
                    class="typcn typcn-trash"></i></button>
        </div>
    </li>
</div>


<!-- icon selection modal-dialog -->
<div id="modal-icon" class="modal fade show" style="display: none;" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollable" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h6 class="modal-title" data-i18n="Icon customization">Icon Auswählen</h6>
          <button type="button" class="close" id="close_modal" aria-label="Close">
            <span aria-hidden="true">×</span>
          </button>
        </div>
        <div class="modal-body">
          <h6  data-i18n="Choose a custom icon and confirm your choice to update">Wählen Sie ein neues Symbol aus und bestätigen Sie mit "Auswahl übernehmen", um es zu aktualisieren.</h6>
                      
          <div class="az-icon-group d-flex flex-wrap justify-content-start">
            <div class="features"><button class="btn btn-icon-selection">
                <i class="fas fa-address-book"></i>
            </button></div>
            <div class="features"><button class="btn btn-icon-selection">
                <i class="fas fa-address-card"></i>
            </button></div>
            <div class="features"><button class="btn btn-icon-selection">
                <i class="fas fa-bell"></i>
            </button></div>
            <div class="features"><button class="btn btn-icon-selection">
                <i class="fas fa-clock"></i>
            </button></div>
            <div class="features"><button class="btn btn-icon-selection">
                <i class="fas fa-user-secret"></i>
            </button></div>
            <div class="features"><button class="btn btn-icon-selection">
                <i class="fas fa-calendar"></i>
            </button></div>
            <div class="features"><button class="btn btn-icon-selection">
                <i class="fas fa-calendar-check"></i>
            </button></div>
            <div class="features"><button class="btn btn-icon-selection">
                <i class="fas fa-archive"></i>
            </button></div>
            <div class="features"><button class="btn btn-icon-selection">
                <i class="fas fa-at"></i>
            </button></div>
            <div class="features"><button class="btn btn-icon-selection">
                <i class="fas fa-award"></i>
            </button></div>
            <div class="features"><button class="btn btn-icon-selection">
                <i class="fas fa-shopping-bag"></i>
            </button></div>
            <div class="features"><button class="btn btn-icon-selection">
                <i class="fas fa-birthday-cake"></i>
            </button></div>
            <div class="features"><button class="btn btn-icon-selection">
                <i class="fas fa-book"></i>
            </button></div>
            <div class="features"><button class="btn btn-icon-selection">
                <i class="fas fa-book-reader"></i>
            </button></div>
            <div class="features"><button class="btn btn-icon-selection">
                <i class="fas fa-briefcase-medical"></i>
            </button></div>
            <div class="features"><button class="btn btn-icon-selection">
                <i class="fas fa-building"></i>
            </button></div>
            <div class="features"><button class="btn btn-icon-selection">
                <i class="fas fa-comment-dots"></i>
            </button></div>
            <div class="features"><button class="btn btn-icon-selection">
                <i class="fas fa-credit-card"></i>
            </button></div>
            <div class="features"><button class="btn btn-icon-selection">
                <i class="fas fa-user"></i>
            </button></div>
            <div class="features"><button class="btn btn-icon-selection">
                <i class="fas fa-user-friends"></i>
            </button></div>
            <div class="features"><button class="btn btn-icon-selection">
                <i class="fas fa-user-cog"></i>
            </button></div>
            <div class="features"><button class="btn btn-icon-selection">
                <i class="fas fa-phone-square"></i>
            </button></div>
            <div class="features"><button class="btn btn-icon-selection">
                <i class="fas fa-mobile-alt"></i>
            </button></div>
            <div class="features"><button class="btn btn-icon-selection">
                <i class="fas fa-envelope"></i>
            </button></div>
            <div class="features"><button class="btn btn-icon-selection">
                <i class="fas fa-envelope-open-text"></i>
            </button></div>
            <div class="features"><button class="btn btn-icon-selection">
                <i class="fas fa-home"></i>
            </button></div>
            <div class="features"><button class="btn btn-icon-selection">
                <i class="fas fa-map-marker-alt"></i>
            </button></div>
            <div class="features"><button class="btn btn-icon-selection">
                <i class="fas fa-map-pin"></i>
            </button></div>
            
        </div>
          <div class="d-flex justify-content-center"><input type="text" id="temp_field_icon_value" value="" class="input-borderless"></div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-indigo" id="update_icon_button" data-i18n="Confirm">Auswahl übernehmen</button>
          <button type="button" class="btn btn-outline-light" id="close_modal_button" data-i18n="Close">Schließen</button>
        </div>
      </div>
    </div>
  </div>

<!-- content snippet for specialized fields for field type Textarea -->
<div id="textarea" style="display: none;" aria-hidden="true">
    <div class="col-md-3">
      <label class="form-label mg-b-0">Anzahl der Zeilen : *</label>
    </div><!-- col -->
    <div class="col-md-4 mg-t-5 mg-md-t-0">
        <input type="input" id="field_textarea_cols_value" class="form-control" value="3" placeholder="" required="">
    </div><!-- col -->
</div>
{% include 'snippets/global-script-include.tpl' %}
<script src="/style-global/lib/jquery-dragndrop/draganddrop.js?v=[cs_version]"></script>

<script defer type="module">
    import {pbBrain} from '../csf-lib/pb-brain.js?v=[cs_version]';

    new pbBrain().boot("contact-manager-config-circuit");
</script>

